'use strict';

var meow = require('meow');
var _package = require('./package-9a9abcc4.js');
var cli = require('./cli-7e8e9944.js');
function _interopDefaultCompat(e) {
  return e && typeof e === 'object' && 'default' in e ? e : {
    default: e
  };
}
var meow__default = /*#__PURE__*/_interopDefaultCompat(meow);
const description = "Show the installed version of ".concat(_package.pkg.name);
const help = "\nUsage\n  $ ".concat(_package.pkg.binname, " version\n\nOptions\n  --major  Show only the major version\n  --minor  Show only the minor version\n  --patch  Show only the patch version\n\nExamples\n  $ ").concat(_package.pkg.binname, " version\n  ").concat(_package.pkg.name, " version ").concat(_package.pkg.version, "\n\n  $ ").concat(_package.pkg.binname, " version --major\n  ").concat(_package.pkg.version.split(".")[0], "\n");
const flags = {
  ...cli.sharedFlags,
  major: {
    type: "boolean",
    default: false
  },
  minor: {
    type: "boolean",
    default: false
  },
  patch: {
    type: "boolean",
    default: false
  }
};
function run(_ref) {
  let {
    argv
  } = _ref;
  const cli$1 = meow__default.default(help, {
    flags,
    argv,
    description
  });
  const versionParts = _package.pkg.version.split(".");
  const versionNames = ["major", "minor", "patch"];
  const versionFlags = versionNames.filter(flagName => cli$1.flags[flagName]);
  const versionFlag = versionFlags[0];
  const numVersionFlags = versionFlags.length;
  if (numVersionFlags === 0) {
    cli.log.msg("".concat(_package.pkg.name, " version ").concat(_package.pkg.version));
    return;
  }
  if (numVersionFlags > 1) {
    throw new Error("--major, --minor and --patch are mutually exclusive - only one can be used at a time");
  }
  const partIndex = versionNames.indexOf(versionFlag);
  cli.log.msg(versionParts[partIndex]);
}
exports.default = run;
//# sourceMappingURL=version-acdf225d.js.map
